Package org.eclipse.unittest.model

# Interface ITestSuiteElement

All Superinterfaces:
  `ITestElement`

All Known Subinterfaces:
  `ITestRunSession`

public interface ITestSuiteElement extends ITestElement
Represents a test suite element.

This interface is not intended to be implemented by clients.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.unittest.model.ITestElement

`ITestElement.FailureTrace, ITestElement.Result`

## Method Summary

Modifier and Type
Method
Description
`List<? extends ITestElement>`
`getChildren()`
Returns all tests (and test suites) contained in the suite.

### Methods inherited from interface org.eclipse.unittest.model.ITestElement

`getData, getDisplayName, getDuration, getFailureTrace, getId, getParent, getTestName, getTestRunSession`

## Method Details

### getChildren

List<? extends ITestElement> getChildren()
Returns all tests (and test suites) contained in the suite.

Returns:
  returns all tests (and test suites) contained in the suite.